Bug 1270368 - Review Request: nacl-arm-gcc - Various compilers (C, C++) for nacl (ARM)
Summary: Review Request: nacl-arm-gcc - Various compilers (C, C++) for nacl (ARM)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1270364
Blocks: 1270322 1270375 1270405
TreeView+ depends on / blocked
 
Reported: 2015-10-09 19:26 UTC by Tom "spot" Callaway
Modified: 2016-01-14 09:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-05 21:57:08 UTC
puntogil: fedora-review+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2015-10-09 19:26:32 UTC
Spec URL: https://spot.fedorapeople.org/nacl-arm-gcc.spec
SRPM URL: https://spot.fedorapeople.org/nacl-arm-gcc-4.9.2-5.git336bd0b.fc23.src.rpm
Description: 
The gcc package contains the GNU Compiler Collection version 4.4.3.
You'll need this package in order to compile C code. This provides support
for nacl targets.
Fedora Account System Username: spot

This is the gcc compiler for the "nacl" arm target. It is needed to build Chromium. It has to be built twice, once as a bootstrap, then once nacl-arm-newlib is done.

Comment 1 gil cattaneo 2015-12-09 12:17:18 UTC
Hi Tom
can you change
%files
%doc gcc/README* gcc/COPYING*
with
%files
%doc gcc/README*
%license gcc/COPYING*

Comment 2 gil cattaneo 2015-12-09 12:49:21 UTC
Please switch bootstrap flag to 1

Comment 3 Upstream Release Monitoring 2015-12-09 12:49:24 UTC
gil's scratch build of nacl-arm-gcc-4.9.2-5.git336bd0b.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12124736

Comment 4 Tom "spot" Callaway 2015-12-15 18:47:08 UTC
* Tue Dec 15 2015 Tom Callaway <spot@fedoraproject.org> 4.9.2-6.git336bd0b
- turn bootstrap back on
- mark COPYING as a license file

New SRPM: https://spot.fedorapeople.org/nacl-arm-gcc-4.9.2-6.git336bd0b.fc23.src.rpm
New SPEC: https://spot.fedorapeople.org/nacl-arm-gcc.spec

Comment 5 Upstream Release Monitoring 2015-12-15 19:52:03 UTC
gil's scratch build of nacl-arm-gcc-4.9.2-6.git336bd0b.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12203416

Comment 6 gil cattaneo 2015-12-15 20:53:39 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
 NOTE: manual review
- Header files in -devel subpackage, if present.
  Note: nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/include-fixed/limits.h
  nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/include-fixed/syslimits.h
  nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/include/arm_acle.h nacl-arm-
  gcc : /usr/lib/gcc/arm-nacl/4.9.2/include/arm_neon.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/include/float.h nacl-arm-gcc : /usr/lib/gcc
  /arm-nacl/4.9.2/include/iso646.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/mmintrin.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/stdalign.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/stdarg.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/stdatomic.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/stdbool.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/stddef.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/stdfix.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/stdint-gcc.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/stdint.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/stdnoreturn.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/unwind-arm-common.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/unwind.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/include/varargs.h nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2
  /install-tools/gsyslimits.h nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2
  /install-tools/include/limits.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/alias.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/alloc-pool.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/ansidecl.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/attribs.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/auto-host.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/basic-block.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/bitmap.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/bversion.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/c-family/c-common.h nacl-arm-gcc : /usr/lib/gcc
  /arm-nacl/4.9.2/plugin/include/c-family/c-objc.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/c-family/c-pragma.h nacl-arm-
  gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/c-family/c-pretty-
  print.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/c-tree.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/calls.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/cfgexpand.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/cfghooks.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/cfgloop.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/cgraph.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/config.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/config/arm/aarch-common-protos.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/aout.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/arm-opts.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/arm-
  protos.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/config/arm/arm.h nacl-arm-gcc : /usr/lib/gcc
  /arm-nacl/4.9.2/plugin/include/config/arm/bpabi.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/elf.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/linux-eabi.h
  nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm
  /linux-elf.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/config/arm/nacl.h nacl-arm-gcc : /usr/lib/gcc
  /arm-nacl/4.9.2/plugin/include/config/dbxelf.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/elfos.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/glibc-stdint.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/gnu-user.h
  nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config
  /initfini-array.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/config/nacl.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/configargs.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/context.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/coretypes.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/cppdefault.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/cpplib.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/debug.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/defaults.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/df.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/diagnostic-color.h nacl-arm-gcc : /usr/lib/gcc
  /arm-nacl/4.9.2/plugin/include/diagnostic-core.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/diagnostic.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/double-int.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/dumpfile.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/emit-rtl.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/except.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/filenames.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/fixed-value.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/flag-types.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/flags.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/fold-const.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/function.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gcc-plugin.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gcc-symtab.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/genrtl.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ggc.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-builder.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-expr.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-fold.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-iterator.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-low.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-pretty-print.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-ssa.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-walk.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple.h nacl-arm-
  gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimplify-me.h nacl-arm-
  gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimplify.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gtype-desc.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/hard-reg-set.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/hash-table.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/hashtab.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/highlev-plugin-common.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/hwint.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/incpath.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/input.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/insn-codes.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/insn-constants.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/insn-flags.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/insn-modes.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/internal-fn.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/intl.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ipa-prop.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ipa-ref-inline.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ipa-ref.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ipa-reference.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ipa-utils.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/is-a.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/langhooks.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/libiberty.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/line-map.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/machmode.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/md5.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/obstack.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/options.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/opts.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/output.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/params.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/pass_manager.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/plugin-api.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/plugin-version.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/plugin.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/pointer-set.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/predict.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/prefix.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/pretty-print.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/print-rtl.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/print-tree.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/real.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/realmpfr.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/regset.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/resource.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/rtl.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/safe-ctype.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/sbitmap.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/splay-tree.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ssa-iterators.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/statistics.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/stmt.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/stor-layout.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/stringpool.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/symtab.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/system.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/target-hooks-macros.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/target.h nacl-arm-
  gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/timevar.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tm-preds.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tm.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tm_p.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/toplev.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-cfg.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-cfgcleanup.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-check.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-core.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-dfa.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-dump.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-eh.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-hasher.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-inline.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-into-ssa.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-iterator.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-nested.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-object-size.h nacl-arm-
  gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-outof-ssa.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-parloops.h
  nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-pass.h
  nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-phinodes.h
  nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-pretty-
  print.h nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-
  ssa-address.h nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include
  /tree-ssa-alias.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/tree-ssa-coalesce.h nacl-arm-gcc : /usr/lib/gcc
  /arm-nacl/4.9.2/plugin/include/tree-ssa-dom.h nacl-arm-gcc : /usr/lib/gcc
  /arm-nacl/4.9.2/plugin/include/tree-ssa-loop-ivopts.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-loop-manip.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-loop-
  niter.h nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-
  ssa-loop.h nacl-arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include
  /tree-ssa-operands.h nacl-arm-gcc : /usr/lib/gcc/arm-
  nacl/4.9.2/plugin/include/tree-ssa-sccvn.h nacl-arm-gcc : /usr/lib/gcc
  /arm-nacl/4.9.2/plugin/include/tree-ssa-ter.h nacl-arm-gcc : /usr/lib/gcc
  /arm-nacl/4.9.2/plugin/include/tree-ssa-threadedge.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-threadupdate.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa.h nacl-arm-
  gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssanames.h nacl-
  arm-gcc : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree.h nacl-arm-gcc
  : /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/varasm.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/vec.h nacl-arm-gcc :
  /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/version.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
 IGNORE
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: nacl-arm-gcc. Illegal package name: nacl-arm-
  gcc. Does not provide -static: nacl-arm-gcc.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
 IGNORE
- Package does not contain any libtool archives (.la)
  Note: nacl-arm-gcc : /usr/libexec/gcc/arm-nacl/4.9.2/liblto_plugin.la
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
 IGNORE

===== MUST items =====

C/C++:
[?]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[?]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/arm-nacl, /usr/arm-nacl/lib
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/arm-nacl, /usr/lib/gcc,
     /usr/libexec/gcc, /usr/arm-nacl/lib
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[?]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[!]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[?]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nacl-
     arm-gcc-debuginfo
[x]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/gil/1270368-nacl-arm-gcc/nacl-arm-gcc-4.9.2-6.git336bd0b.fc24.x86_64.rpm /home/gil/1270368-nacl-arm-gcc/nacl-arm-gcc-debuginfo-4.9.2-6.git336bd0b.fc24.x86_64.rpm /home/gil/1270368-nacl-arm-gcc/nacl-arm-gcc-debuginfo-4.9.2-6.git336bd0b.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 --setopt=deltarpm=false install /home/gil/1270368-nacl-arm-gcc/nacl-arm-gcc-4.9.2-6.git336bd0b.fc24.x86_64.rpm /home/gil/1270368-nacl-arm-gcc/nacl-arm-gcc-debuginfo-4.9.2-6.git336bd0b.fc24.x86_64.rpm /home/gil/1270368-nacl-arm-gcc/nacl-arm-gcc-debuginfo-4.9.2-6.git336bd0b.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nacl-arm-gcc-4.9.2-6.git336bd0b.fc24.x86_64.rpm
          nacl-arm-gcc-debuginfo-4.9.2-6.git336bd0b.fc24.x86_64.rpm
          nacl-arm-gcc-4.9.2-6.git336bd0b.fc24.src.rpm
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/incpath.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/stdint.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/timevar.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssanames.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ansidecl.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/insn-flags.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/is-a.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/install-tools/gsyslimits.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ssa-iterators.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/stdarg.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/stdfix.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include-fixed/syslimits.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-pass.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ggc.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/arm_acle.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-iterator.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-walk.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/plugin-version.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/resource.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/dumpfile.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/nacl.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/langhooks.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/c-family/c-pragma.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/elf.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/flags.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/regset.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/unwind-arm-common.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/stmt.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/filenames.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/flag-types.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-sccvn.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/diagnostic-color.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-operands.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/target-hooks-macros.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ipa-utils.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/c-tree.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tm.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/machmode.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/hash-table.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/alloc-pool.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/print-tree.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/attribs.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-eh.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-alias.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/input.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/real.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/varargs.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/stdbool.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/md5.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/defaults.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/target.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-cfgcleanup.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/pass_manager.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-loop-ivopts.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/libgcc.a
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-hasher.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-ter.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/cppdefault.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-outof-ssa.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/insn-constants.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/debug.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-pretty-print.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/diagnostic-core.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/cfgloop.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/df.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/plugin.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/hashtab.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/hard-reg-set.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-loop-manip.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/gnu-user.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/glibc-stdint.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/toplev.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tm_p.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ipa-prop.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-coalesce.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-nested.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/linux-eabi.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/c-family/c-pretty-print.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/c-family/c-objc.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gtype-desc.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/except.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-phinodes.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-builder.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/symtab.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/opts.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/highlev-plugin-common.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/internal-fn.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimplify-me.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/fixed-value.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-loop.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/insn-codes.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-iterator.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tm-preds.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/basic-block.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-core.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-parloops.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/float.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-loop-niter.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/dbxelf.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/cgraph.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-fold.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/nacl.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/vec.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ipa-reference.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/diagnostic.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/stringpool.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ipa-ref-inline.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/elfos.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/cfghooks.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-pretty-print.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/bversion.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/aarch-common-protos.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/emit-rtl.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-dfa.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/insn-modes.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/hwint.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/stdnoreturn.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/double-int.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimplify.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/prefix.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/bitmap.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-dump.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/rtl.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-dom.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/install-tools/include/limits.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/arm.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/version.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/ipa-ref.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-address.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/mmintrin.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/stdint-gcc.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/options.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-inline.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/linux-elf.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-into-ssa.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/stdatomic.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/arm-protos.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/line-map.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/splay-tree.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/unwind.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/output.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/sbitmap.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/varasm.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/arm-opts.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/stor-layout.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/configargs.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include-fixed/limits.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/genrtl.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/alias.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-threadupdate.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/libgcov.a
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-cfg.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/pointer-set.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/print-rtl.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/c-family/c-common.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/initfini-array.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gcc-plugin.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/obstack.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-object-size.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/cfgexpand.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/arm_neon.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/fold-const.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/function.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/safe-ctype.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/calls.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-expr.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-ssa.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-ssa-threadedge.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/aout.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/stdalign.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/realmpfr.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/coretypes.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gimple-low.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/config/arm/bpabi.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/params.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/libiberty.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/plugin-api.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/intl.h
nacl-arm-gcc.x86_64: E: zero-length /usr/lib/gcc/arm-nacl/4.9.2/install-tools/macro_list
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/system.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/auto-host.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/iso646.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/predict.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/include/stddef.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/cpplib.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/pretty-print.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/gcc-symtab.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/tree-check.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/context.h
nacl-arm-gcc.x86_64: W: devel-file-in-non-devel-package /usr/lib/gcc/arm-nacl/4.9.2/plugin/include/statistics.h
nacl-arm-gcc.x86_64: W: no-manual-page-for-binary arm-nacl-gcc-ranlib
nacl-arm-gcc.x86_64: W: no-manual-page-for-binary arm-nacl-gcc-4.9.2
nacl-arm-gcc.x86_64: W: no-manual-page-for-binary arm-nacl-gcc-nm
nacl-arm-gcc.x86_64: W: no-manual-page-for-binary arm-nacl-gcc-ar
nacl-arm-gcc.x86_64: W: non-standard-dir-in-usr arm-nacl
nacl-arm-gcc.src:61: W: configure-without-libdir-spec
nacl-arm-gcc.src:139: E: hardcoded-library-path in %{_prefix}/lib/gcc/%{gcc_target_platform}/
nacl-arm-gcc.src:88: W: mixed-use-of-spaces-and-tabs (spaces: line 88, tab: line 5)
nacl-arm-gcc.src: W: invalid-url Source0: nacl-arm-gcc-4.9.2-git336bd0b.tar.bz2
3 packages and 0 specfiles checked; 2 errors, 201 warnings.




Requires
--------
nacl-arm-gcc (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_4.2.0)(64bit)
    libgmp.so.10()(64bit)
    liblto_plugin.so.0()(64bit)
    libm.so.6()(64bit)
    libmpc.so.3()(64bit)
    libmpfr.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

nacl-arm-gcc-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
nacl-arm-gcc:
    liblto_plugin.so.0()(64bit)
    nacl-arm-gcc
    nacl-arm-gcc(x86-64)

nacl-arm-gcc-debuginfo:
    nacl-arm-gcc-debuginfo
    nacl-arm-gcc-debuginfo(x86-64)



Unversioned so-files
--------------------
nacl-arm-gcc: /usr/libexec/gcc/arm-nacl/4.9.2/liblto_plugin.so

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -vpn nacl-arm-gcc -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 gil cattaneo 2015-12-15 20:59:18 UTC
NON blocking issues:

[?]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/arm-nacl, /usr/arm-nacl/lib

[!]: Package must own all directories that it creates.
     Note: Directories without known owner

nacl-arm-gcc.x86_64: E: zero-length /usr/lib/gcc/arm-nacl/4.9.2/install-tools/macro_list
Please, remove if this file is unnecessary

nacl-arm-gcc.src:139: E: hardcoded-library-path in %{_prefix}/lib/gcc/%{gcc_target_platform}/
Please, can you use %{_libdir}/gcc/%{gcc_target_platform}/ ?

Please, fix before import

Approved

Comment 8 Gwyn Ciesla 2015-12-17 19:58:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nacl-arm-gcc

Comment 9 Fedora Update System 2015-12-23 19:55:33 UTC
nacl-arm-gcc-4.9.2-7.git336bd0b.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7e52f1b75f

Comment 10 Fedora Update System 2015-12-25 01:57:52 UTC
nacl-arm-gcc-4.9.2-7.git336bd0b.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-72aa416ea5

Comment 11 Fedora Update System 2015-12-30 20:56:54 UTC
nacl-arm-gcc-4.9.2-7.git336bd0b.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7e52f1b75f

Comment 12 Fedora Update System 2016-01-05 21:57:06 UTC
nacl-arm-gcc-4.9.2-7.git336bd0b.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-01-14 09:50:17 UTC
nacl-arm-gcc-4.9.2-7.git336bd0b.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.